<?php

use App\Http\Controllers\NotificationController;
use Illuminate\Support\Facades\Route;

Route::get('/notifications',           [NotificationController::class, 'index'])->middleware('permission:notification,view');
Route::put('/notifications/{id}/read', [NotificationController::class, 'markAsRead'])->middleware('permission:notification,add');
Route::put('/notifications/read-all',  [NotificationController::class, 'markAllAsRead'])->middleware('permission:notification,add');
